package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrOverhaulPumpMapper;
import com.ruoyi.project.pssr.domain.TPssrOverhaulPump;
import com.ruoyi.project.pssr.service.ITPssrOverhaulPumpService;

/**
 * 检修项目-泵Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrOverhaulPumpServiceImpl implements ITPssrOverhaulPumpService
{
    @Autowired
    private TPssrOverhaulPumpMapper tPssrOverhaulPumpMapper;

    /**
     * 查询检修项目-泵
     *
     * @param id 检修项目-泵ID
     * @return 检修项目-泵
     */
    @Override
    public TPssrOverhaulPump selectTPssrOverhaulPumpById(Long id)
    {
        return tPssrOverhaulPumpMapper.selectTPssrOverhaulPumpById(id);
    }

    /**
     * 查询检修项目-泵列表
     *
     * @param tPssrOverhaulPump 检修项目-泵
     * @return 检修项目-泵
     */
    @Override
    public List<TPssrOverhaulPump> selectTPssrOverhaulPumpList(TPssrOverhaulPump tPssrOverhaulPump)
    {
        return tPssrOverhaulPumpMapper.selectTPssrOverhaulPumpList(tPssrOverhaulPump);
    }

    /**
     * 新增检修项目-泵
     *
     * @param tPssrOverhaulPump 检修项目-泵
     * @return 结果
     */
    @Override
    public int insertTPssrOverhaulPump(TPssrOverhaulPump tPssrOverhaulPump)
    {
        return tPssrOverhaulPumpMapper.insertTPssrOverhaulPump(tPssrOverhaulPump);
    }

    /**
     * 修改检修项目-泵
     *
     * @param tPssrOverhaulPump 检修项目-泵
     * @return 结果
     */
    @Override
    public int updateTPssrOverhaulPump(TPssrOverhaulPump tPssrOverhaulPump)
    {
        return tPssrOverhaulPumpMapper.updateTPssrOverhaulPump(tPssrOverhaulPump);
    }
    @Override
    public int updateAllBySubId(TPssrOverhaulPump tPssrOverhaulPump)
    {
        return tPssrOverhaulPumpMapper.updateAllBySubId(tPssrOverhaulPump);
    }

    /**
     * 批量删除检修项目-泵
     *
     * @param ids 需要删除的检修项目-泵ID
     * @return 结果
     */
    @Override
    public int deleteTPssrOverhaulPumpByIds(Long[] ids)
    {
        return tPssrOverhaulPumpMapper.deleteTPssrOverhaulPumpByIds(ids);
    }

    /**
     * 删除检修项目-泵信息
     *
     * @param id 检修项目-泵ID
     * @return 结果
     */
    @Override
    public int deleteTPssrOverhaulPumpById(Long id)
    {
        return tPssrOverhaulPumpMapper.deleteTPssrOverhaulPumpById(id);
    }
}
